package cicaprojekt;

public class Stargate {
    public static final Stargate yellowStargate = new Stargate("Yellow Stargate");
    public static final Stargate blueStargate = new Stargate("Blue Stargate");
    public static final Stargate redStargate = new Stargate("Red Stargate");
    public static final Stargate greenStargate = new Stargate("Green Stargate");
    public /*final*/ Stargate other; //TODO find better ways to do this
    private boolean isSpawned;
    private Wall currentWall;
    private String name;


    private Stargate(String name) {
        isSpawned = false;
        this.name = name;
    }

    public static void init() {
        yellowStargate.other = blueStargate;
        blueStargate.other = yellowStargate;
        redStargate.other = greenStargate;
        greenStargate.other = redStargate;
    }

    public Wall getCurrentWall() {
        return currentWall;
    }

    public void setCurrentWall(Wall wall) {
        currentWall = wall;
    }

    public boolean isOpen() {
        return isSpawned;
    }

    public void teleport(Direction incomingDirection) {
    }

    @Override
    public String toString() {
        return String.format("%s: %s", name, currentWall);
    }
}
